| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::IOSSurfaceMetalImpeller Class Referencefinal

`#include <ios_surface_metal_impeller.h>`

Inheritance diagram for flutter::IOSSurfaceMetalImpeller:

## Public Member Functions
| IOSSurfaceMetalImpeller (const fml::scoped_nsobject< CAMetalLayer > &layer, const std::shared_ptr< IOSContext > &context)
| ~IOSSurfaceMetalImpeller ()
Public Member Functions inherited from flutter::IOSSurface
std::shared_ptr< IOSContext > | GetContext () const
virtual | ~IOSSurface ()

## Additional Inherited Members
Static Public Member Functions inherited from flutter::IOSSurface
static std::unique_ptr< IOSSurface > | Create (std::shared_ptr< IOSContext > context, const fml::scoped_nsobject< CALayer > &layer)
Protected Member Functions inherited from flutter::IOSSurface
| IOSSurface (std::shared_ptr< IOSContext > ios_context)

## Detailed Description

Definition at line 20 of file ios_surface_metal_impeller.h.

## Constructor & Destructor Documentation

## ◆ IOSSurfaceMetalImpeller()

flutter::IOSSurfaceMetalImpeller::IOSSurfaceMetalImpeller | ( | const fml::scoped_nsobject< CAMetalLayer > & | layer,
|  | const std::shared_ptr< IOSContext > & | context
| ) |  |

Definition at line 18 of file ios_surface_metal_impeller.mm.

20 : IOSSurface(context),
21 GPUSurfaceMetalDelegate(MTLRenderTargetType::kCAMetalLayer),
22 layer_(layer),
23 impeller_context_(context ? context->GetImpellerContext() : nullptr),
24 aiks_context_(context ? context->GetAiksContext() : nullptr) {
25 if (!impeller_context_ || !aiks_context_) {
26 return;
27 }
28 is_valid_ = true;
29 }

## ◆ ~IOSSurfaceMetalImpeller()

flutter::IOSSurfaceMetalImpeller::~IOSSurfaceMetalImpeller | ( |  | ) |
| default

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/ios_surface_metal_impeller.h
- shell/platform/darwin/ios/ios_surface_metal_impeller.mm

flutter::IOSSurface::IOSSurface
IOSSurface(std::shared_ptr< IOSContext > ios_context)
Definition: ios_surface.mm:55